Actualización Automática: public_html/wp-admin/css/theme-editor.dev.css

@ 11 . enero . 2011

WordPress girl t-shirt Si te da error al intentar usar la opción de WordPress de Actualizar Automáticamente y esto siempre pasa luego de 2 a 7 minutos, además nunca puedes actualizar con éxito, y te sale el mensaje de:

No ha sido posible copiar el archivo.: /public_html/wp-admin/css/theme-editor.dev.css
Instalación fallida

Muchos blogs y foros de ayuda te indican que debes cambiar los permisos de las carpetas a 777 o 755, también te recomiendan desactivar todos los plugins antes de la actualización Automática, o sino que borres la carpeta upgrade en el directorio de wp-content. Revisa también si tu server esta con PHP 5, dicen que con versiones anteriores el actualizado automático no funciona. Si aún así te da el mismo error o similar de que no se pudo copiar el archivo, acabo de encontrar la solución.

Solución: Cambiar el FTP Server a ProFTPD

si eres el administrador de tu servidor (el root) debes ir a WHM y cambiar tu FTP Server, si estas en un servidor compartido, debes pedir a tu empresa de hosting que lo haga por ti. Por lo visto para la Actualización Automática, tu server se tiene que comunicar con WordPress y estos trabajan al 100% con ProFTP. Así que:

(y) Cambia tu FTP Server de Pure-FTPD a ProFTPD

Una vez que hice esto, la Actualización Automática ya no se tardaba 7 minutos o más sin éxito alguno, en 15 segundos se actualizó todo sin problemas. Todo un éxito :)

OJO: Esta solución no hay en casi ningún lado, por eso la publico.

DanielSemperAutor: Daniel Semper, fanático de la tecnología y sus usos sociales, cinéfilo geek, al menos veo una película por semana, innovador en Front-End y activo lector de comics. En mis tiempos libres soy ingeniero y estudio una maestría en Sidney en la universidad de UTS. Me puedes contactar en: twitter, Google Plus.
e-mail: hola @ danielsemper.com

Noticias Similares